List Voice destination countries
GET
/v1/voice/destinationsconst destinations = await bird.voice.destinations.list();
for (const destination of destinations.data) {
console.log(destination.country_code, destination.enabled, destination.status);
}destinations = client.voice.destinations.list()
for destination in destinations.data:
print(destination.country_code, destination.enabled, destination.status)destinations, err := client.Voice.Destinations.List(context.Background())
if err != nil {
log.Fatal(err)
}
for _, destination := range destinations.Data {
fmt.Println(destination.CountryCode, destination.Enabled, destination.Status)
}$destinations = $bird->voice->destinations->list();
foreach ($destinations->getData() ?? [] as $destination) {
echo $destination->getCountryCode(), ' ', $destination->getEnabled() ? 'on' : 'off', "\n";
}bird voice destinations listcurl -X GET "https://us1.platform.bird.com/v1/voice/destinations" \
-H "Authorization: Bearer $TOKEN"Risposta200
{
"data": [
{
"country_code": "US",
"country_name": "Netherlands",
"dial_code": "31",
"region": "western_europe",
"super_region": "europe",
"status": "available",
"daily_spend_limit": {
"limit": {
"amount": "0.00995",
"currency_code": "USD"
},
"used": {
"amount": "0.00995",
"currency_code": "USD"
},
"remaining": {
"amount": "0.00995",
"currency_code": "USD"
},
"resets_at": "2026-10-09T00:00:00Z"
}
}
]
}
Returns every country the Voice service supports, each annotated with whether your workspace has enabled calling to it, whether the platform supports calling it (status), and any daily spend limit you set for it with today's usage. A supported, enabled country still refuses calls once its daily_spend_limit.remaining reaches zero. Use this to render and manage your destination allowlist.
Payload di risposta
dataarray of object
obbligatorio
The Voice destination countries, each annotated with your workspace's enabled setting.
totalinteger
obbligatorio
Total number of destination countries.
Risorse correlate
Continua con la documentazione, le guide e gli esempi per questo argomento.